Bug 495811 - hangs machine on first Xsession start [NEEDINFO]
hangs machine on first Xsession start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 17:45 EDT by Jason Vas Dias
Modified: 2009-12-18 04:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:15:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (jason.vas.dias)


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2009-04-14 17:45:34 EDT
Description of problem:

When I start a new Xsession (gnome-session) by logging in with gdm,
starting up a new GNOME desktop, and then click on the firefox icon,
the machine hangs until I log in from another machine and send some
signal (eg. SIGCONT) to the firefox process. The machine REALLY hangs,
ie. no keystrokes are handled - the VT-switch keystrokes are disabled,
so the only way I can regain access to my machine after starting firefox
for the first time in a new session is to SSH in from another machine
and 'pkill -CONT firefox' .

Using strace(1) on the hunh firefox process shows it is stuck in a select()
loop, but then when strace-ed, it gets the SIGCONT signal, so immediately
the select() loop is broken and firefox resumes.

Version-Release number of selected component (if applicable):

firefox-3.0.8-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Reboot machine after clean install of FC-10 and upgrade to packages of
   2009-04-14
2. Start a new gnome-session
3. Start Firefox
  
Actual results:
The machine hangs and access to it can only be gained through ssh(1) from
another machine, and a 
 $ pkill -CONT firefox

Expected results:
guess!

Additional info:
Comment 1 Matěj Cepl 2009-04-17 09:41:15 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then when firefox freezes, try to send SIGSTOP signal (instead of SIGCONT) and then connect to the froze process with 

gdb --pid=$(pidof firefox)

then run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bug Zapper 2009-11-18 06:44:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:15:17 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.